---
title: "query Images of variant"
description: >
  Retrieve a list of image resources  for variants under a product created by 'Variants Multiple Images' using the product ID.
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/app-open-api/variants-multiple-images/query-images-of-variant'
  md: 'https://developer.shopline.com/docs/admin-rest-api/app-open-api/variants-multiple-images/query-images-of-variant.md'
---
# query Images of variant

Retrieve a list of image resources  for variants under a product created by 'Variants Multiple Images' using the product ID.

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_product_variant_images`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /variant_images/:product_id.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_product_variant_images`

## Request

### Path Parameters

* `product_id`

  string (required)

  The ID of the product.

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `data`

  object

  Return data.

  * `variant_images`

    array<object>

    variant images created by 'Variants Multiple Images'.

    * `urls`

      array<string>

      The URL address of the image.

    * `variant_id`

      string

      A unique ID of the variant.

  * `product_id`

    string

    The ID of the product.


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "description": "Retrieve a list of image resources  for variants under a product created by 'Variants Multiple Images' using the product ID.",
  "externalDocs": {
    "description": "Permission point used by the interface is `read_product_variant_images` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "O15VvRAi",
  "parameters": [
    {
      "name": "product_id",
      "in": "path",
      "description": "The ID of the product.",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "product_id",
        "description": "The ID of the product.",
        "type": "string",
        "example": "16049619743346320200470282"
      },
      "example": "16049619743346320200470282"
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "data": {
                "name": "data",
                "description": "Return data.",
                "type": "object",
                "properties": {
                  "variant_images": {
                    "name": "variant_images",
                    "description": "variant images created by 'Variants Multiple Images'.",
                    "type": "array",
                    "items": {
                      "name": "variant_images",
                      "description": "variant images created by 'Variants Multiple Images'.",
                      "type": "object",
                      "properties": {
                        "urls": {
                          "name": "urls",
                          "description": "The URL address of the image.",
                          "type": "array",
                          "items": {
                            "name": "urls",
                            "description": "The URL address of the image.",
                            "type": "string",
                            "example": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                          },
                          "example": [
                            "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                          ]
                        },
                        "variant_id": {
                          "name": "variant_id",
                          "description": "A unique ID of the variant.",
                          "type": "string",
                          "example": "18050375907221969070393099"
                        }
                      },
                      "example": {
                        "variant_id": "18050375907221969070393099",
                        "urls": [
                          "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                        ]
                      }
                    },
                    "example": [
                      {
                        "urls": [
                          "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                        ],
                        "variant_id": "18050375907221969070393099"
                      }
                    ]
                  },
                  "product_id": {
                    "name": "product_id",
                    "description": "The ID of the product.",
                    "type": "string",
                    "example": "16049619743346320200470282"
                  }
                },
                "example": {
                  "product_id": "16049619743346320200470282",
                  "variant_images": [
                    {
                      "urls": [
                        "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                      ],
                      "variant_id": "18050375907221969070393099"
                    }
                  ]
                }
              }
            },
            "example": {
              "data": {
                "product_id": "16049619743346320200470282",
                "variant_images": [
                  {
                    "urls": [
                      "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                    ],
                    "variant_id": "18050375907221969070393099"
                  }
                ]
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/variant_images/:product_id.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "query Images of variant",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_product_variant_images"
  ]
}
```